1.0
1.0
get /v1/cloudmonitorings/product/v2/accounts/products
Description
Search Resource included in an Account.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | page optional | Page Number (default: 0) Example : 0 | integer | None |
| query | size optional | Page Contents Size (default: 10) Example : 10 | integer | None |
| query | sort optional | Sorting Field List | array[string] | None |
| header | X-ResourceType required | Resource Type Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PageResponseAccountProductDto |
| 400 | Invalid Request | None |
| 401 | Monitoring User Not Found | None |
| 403 | Unauthorized Request | None |
| 404 | Resource Not Found | None |
Example HTTP request
Request path
/v1/cloudmonitorings/product/v2/accounts/products
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudmonitoring 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"accountId": "UqXgOSnoqOfKB0_LKO6xId",
"endDt": "9999-12-31T23:59:59.999Z",
"lastEventLevel": "WARNING",
"poolName": "POOL-A8-C1DpGqRdQMlfNXdJxLb",
"productIpAddress": "192.168.245.161",
"productName": "VM-Server-01",
"productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
"productState": "Running",
"productTypeCode": "VM",
"productTypeName": "Virtual Server",
"startDt": "2021-10-23T08:30:00Z"
}
],
"isChanged": "",
"returnCount": "",
"returnPage": "",
"sort": [
""
],
"sortableFields": [
""
],
"totalCount": ""
}